﻿using System;
using ThinkGeo.MapSuite.Core;

public partial class _Default : System.Web.UI.Page 
{
    protected void Page_Load(object sender, EventArgs e)
    {
        if (!Page.IsPostBack)
        {
            Map1.MapBackground.BackgroundBrush = new GeoSolidBrush(GeoColor.StandardColors.White);
            Map1.CurrentExtent = new RectangleShape(-131.22, 55.05, -54.03, 16.91);
            Map1.MapUnit = GeographyUnit.DecimalDegree;

            ShapeFileFeatureLayer worldLayer = new ShapeFileFeatureLayer(MapPath("~/app_data/cntry02.shp"));
            worldLayer.ZoomLevelSet.ZoomLevel01.DefaultAreaStyle = AreaStyles.CreateSimpleAreaStyle(GeoColor.FromArgb(255, 243, 239, 228), GeoColor.FromArgb(255, 218, 193, 163), 1);
            worldLayer.ZoomLevelSet.ZoomLevel01.ApplyUntilZoomLevel = ApplyUntilZoomLevel.Level20;

            WmsRasterLayer wmsImageLayer = new WmsRasterLayer(new Uri("http://wmssamples.thinkgeo.com/WmsServer.aspx"));
            wmsImageLayer.Parameters.Add("format", "image/png");
            wmsImageLayer.UpperThreshold = double.MaxValue;
            wmsImageLayer.LowerThreshold = 0;
            wmsImageLayer.IsTransparent = true;

            wmsImageLayer.Open();
            wmsImageLayer.ActiveLayerNames.Add("USStates");
            wmsImageLayer.Exceptions = "application/vnd.ogc.se_xml";
            wmsImageLayer.Close();

            Map1.StaticOverlay.Layers.Add(worldLayer);
            Map1.StaticOverlay.Layers.Add(wmsImageLayer);
        }
    }
}
